Subject: [PATCH v2] MAX8952 PMIC Driver Initial Release

From: [email-masked] (Mark Brown)
Date: Wed, 1 Sep 2010 10:15:19 +0100

On Wed, Sep 01, 2010 at 09:15:36AM +0900, Kukjin Kim wrote:

> Seems almost same between the operation of max8649 and max8952 except output
> voltage range.

> How do you think that can support max8952 with small modifying max8649?

Take a look at something like the WM831x drivers for how you can handle
multiple devices with one driver - you can register I2C IDs for multiple
devices and then select behaviour based on the name that was quoted.